#!/bin/sh

if [ -r /etc/defaults/periodic.conf ]
then
    . /etc/defaults/periodic.conf
    source_periodic_confs
fi

PATH=$PATH:/usr/local/bin:/usr/local/sbin
export PATH

case "$weekly_letsencrypt_enable" in
    [Yy][Ee][Ss])
	echo
	echo "Checking Let's Encrypt certificate status:"

	if [ -z "$weekly_letsencrypt_user" ]
	then
		/usr/local/bin/letsencrypt.sh -c
	else
		su -m "$weekly_letsencrypt_user" -c '/usr/local/bin/letsencrypt.sh -c'
	fi

	echo "Deploying Let's Encrypt certificates:"

	if [ -x "$weekly_letsencrypt_deployscript" ]
	then
		$weekly_letsencrypt_deployscript
	else
		echo 'Skipped, deploy script not set.'
	fi
        ;;
    *)
        ;;
esac
